Loading...
Searching...
No Matches
Magick::rollImage Class Reference

## Public Member Functions

| rollImage (const Geometry &roll_)
| rollImage (const ::ssize_t columns_, const ::ssize_t rows_)
void | operator() (Image &image_) const

## Private Attributes

ssize_t | _columns
ssize_t | _rows

## Detailed Description

Definition at line 933 of file STL.h.

## Constructor & Destructor Documentation

## rollImage()

Magick::rollImage::rollImage | ( | const Geometry & | roll_ | ) |

Definition at line 892 of file STL.cpp.

: _columns( static_cast<ssize_t>(roll_.width()) ),
_rows( static_cast<ssize_t>(roll_.height()) )
{
}

## Member Function Documentation

## operator()()

void Magick::rollImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 903 of file STL.cpp.

{
image_.roll( _columns, _rows );
}

## Field Documentation

## _columns

ssize_t Magick::rollImage::_columns

private

Definition at line 943 of file STL.h.

## _rows

ssize_t Magick::rollImage::_rows

private

Definition at line 944 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp